OLT Gem Mapping
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addGemMapping | POST | Create new gem mapping |
| deleteGemMapping | POST | Delete an existing gem mapping |
| editGemMapping | POST | Modify an existing gem mapping |
| getGemMappingList | GET | Get gem mapping list |
| getGemMappingPage | GET | Get gem mapping page |
addGemMapping
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-mappings/add
Create new gem mapping
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemMappingDTO
| Field | Type | Required | Description |
|---|---|---|---|
gemMappingId | integer | yes | GemMappingId should be within the range of 1 to 8,and should not be null |
lineProfileId | integer | no | The ID of the associated Line Profile should be within the range of 1 to 512. |
gemPortId | integer | yes | Gem port ID should be within the range of 1 to 1023 |
vlanType | string | no | The mapping relationship between Gem Port and VLAN is valid when the Line Profile's mappingMode is set to: Vlan, Vlan-Priority, Port-Vlan, or Port-VLAN-Priority. VlanType should be a value as follows: TAGGED;UNTAGGED, with the default value being TAGGED. |
vlanId | integer | no | VLAN ID is valid when the vlanType is set to Tagged. VlanId should be within the range of 1 to 4094. |
priority | integer | no | The mapping relationship between Gem Port and 802.1p priority.It is valid when the Line Profile's mappingMode is set to: Priority, Vlan-Priority, Port-Priority, or Port-VLAN-Priority. Priority should be within the range of 0 to 7. |
portMappingType | string | no | The mapping relationship between Gem Port and ONT Port ID is valid when the Line Profile's mappingMode is set to: Port, Port-Vlan, Port-Priority, or Port-Vlan-Priority. PortMappingType should be a value as follows:ETH;POTS, with the default value being ETH. |
portId | integer | no | The mapped ONT port ID is valid when the portMappingType has a value. When portMappingType is ETH, portId should be within the range of 1 to 24. |
// omada_call_operation
{
"operationId": "addGemMapping",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new gem mapping
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteGemMapping
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-mappings/delete
Delete an existing gem mapping
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemMappingDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfileId should be within the range of 1 to 512. |
gemMappingList | array<GemMappingDeleteItem> | yes | gemMappingList |
// omada_call_operation
{
"operationId": "deleteGemMapping",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing gem mapping
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editGemMapping
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-mappings/edit
Modify an existing gem mapping
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemMappingModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
gemMappingId | integer | yes | GemMappingId should be within the range of 1 to 8,and should not be null |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfileId should be within the range of 1 to 512. |
gemPortId | integer | yes | Gem port ID should be within the range of 1 to 1023 |
vlanType | string | no | The mapping relationship between Gem Port and VLAN is valid when the Line Profile's mappingMode is set to: Vlan, Vlan-Priority, Port-Vlan, or Port-VLAN-Priority. VlanType should be a value as follows: TAGGED;UNTAGGED, with the default value being TAGGED. |
vlanId | integer | no | VLAN ID is valid when the vlanType is set to Tagged. VlanId should be within the range of 1 to 4094. |
priority | integer | no | The mapping relationship between Gem Port and 802.1p priority.It is valid when the Line Profile's mappingMode is set to: Priority, Vlan-Priority, Port-Priority, or Port-VLAN-Priority. Priority should be within the range of 0 to 7. |
portMappingType | string | no | The mapping relationship between Gem Port and ONT Port ID is valid when the Line Profile's mappingMode is set to: Port, Port-Vlan, Port-Priority, or Port-Vlan-Priority. PortMappingType should be a value as follows: ETH, with the default value being ETH. |
portId | integer | no | The mapped ONT port ID is valid when the portMappingType has a value. When portMappingType is ETH, portId should be within the range of 1 to 24. |
// omada_call_operation
{
"operationId": "editGemMapping",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing gem mapping
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getGemMappingList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-mappings/list
Get gem mapping list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | GemMappingListQueryDTO | no | Object: its fields (searchKey, sorts, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGemMappingList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get gem mapping list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getGemMappingPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-mappings/page
Get gem mapping page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | GemMappingPageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGemMappingPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get gem mapping page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.